Debian Bug report logs - #479017
live-helper: Formatting problems in lh_config man page

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Antonio Ospite <ospite@studenti.unina.it>

Date: Fri, 2 May 2008 09:36:01 UTC

Severity: normal

Tags: patch

Found in version live-helper/1.0~a46-2

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#479017; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to Antonio Ospite <ospite@studenti.unina.it>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Antonio Ospite <ospite@studenti.unina.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: Formatting problems in lh_config man page
Date: Fri, 02 May 2008 11:32:51 +0200
[Message part 1 (text/plain, inline)]
Package: live-helper
Version: 1.0~a46-2
Severity: normal
Tags: patch


Hi,

double quoted arguments in command line switches descriptions are not formatted
correctly.

Note, the sequence \" is meant to start a comment in groff, it does NOT escape
the double quote character.
See: http://www.cs.cmu.edu/cgi-bin/info2www?(groff)Strings

Anyway when a string is between [ and ] we don't need to escape double quote
at all.

And when we really want to escape it inside a double-quotes-delimited string
we must use "" (that is two consecutive double quotes characters) to actually
print a single double quote.

The attached patch fixes these two problems I found in lh_config.en.1

Regards,
   Antonio Ospite

-- Package-specific info:

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-1-686 (SMP w/1 CPU core)
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-helper depends on:
ii  cdebootstrap                  0.5.1      Bootstrap a Debian system
ii  debootstrap                   1.0.9      Bootstrap a basic Debian system

live-helper recommends no packages.

-- no debconf information
[fix-printing-and-escaping-doublequotes-in-manpage-lh_config.en.1.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#479017; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to Chris Lamb <chris@chris-lamb.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 479017@bugs.debian.org (full text, mbox):

From: Chris Lamb <chris@chris-lamb.co.uk>
To: debian-live-devel@lists.alioth.debian.org
Cc: Antonio Ospite <ospite@studenti.unina.it>, 479017@bugs.debian.org
Subject: Re: Bug#479017: live-helper: Formatting problems in lh_config man page
Date: Thu, 15 May 2008 03:55:49 +0100
[Message part 1 (text/plain, inline)]
tags 479017 + pending
thanks

> See: http://www.cs.cmu.edu/cgi-bin/info2www?(groff)Strings
[..]
> The attached patch fixes these two problems I found in lh_config.en.1

Applied, many thanks. Thanks for the link too.

 
Regards,

-- 
Chris Lamb, UK                                       chris@chris-lamb.co.uk
                                                            GPG: 0x634F9A20
[signature.asc (application/pgp-signature, attachment)]

Tags added: pending Request was from Chris Lamb <chris@chris-lamb.co.uk> to control@bugs.debian.org. (Thu, 15 May 2008 02:57:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#479017; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to Antonio Ospite <ospite@studenti.unina.it>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #17 received at 479017@bugs.debian.org (full text, mbox):

From: Antonio Ospite <ospite@studenti.unina.it>
To: Chris Lamb <chris@chris-lamb.co.uk>
Cc: debian-live-devel@lists.alioth.debian.org, 479017@bugs.debian.org
Subject: Re: Bug#479017: live-helper: Formatting problems in lh_config man page
Date: Sat, 12 Jul 2008 10:35:06 +0200
[Message part 1 (text/plain, inline)]
On Thu, 15 May 2008 03:55:49 +0100
Chris Lamb <chris@chris-lamb.co.uk> wrote:

> tags 479017 + pending
> thanks
> 
> > See: http://www.cs.cmu.edu/cgi-bin/info2www?(groff)Strings
> [..]
> > The attached patch fixes these two problems I found in lh_config.en.1
> 
> Applied, many thanks. Thanks for the link too.
> 

Hi, checking with debgtd I saw that this bug is still marked as open.
You can close it.

Next time, you can use "dch --closes nnnnnn" to automate the process.

Thanks for fixing it, btw.

Regards,
   Antonio Ospite

-- 
A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing in e-mail?

  Web site: http://www.studenti.unina.it/~ospite
Public key: http://www.studenti.unina.it/~ospite/aopubkey.asc
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#479017; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #22 received at 479017@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Antonio Ospite <ospite@studenti.unina.it>, 479017@bugs.debian.org
Subject: Re: Bug#479017: live-helper: Formatting problems in lh_config man page
Date: Sat, 12 Jul 2008 12:35:29 +0200
Antonio Ospite wrote:
> Hi, checking with debgtd I saw that this bug is still marked as open.
> You can close it.

no; it's tagged pending as it's fixed in git, and will be closed when
the version of the package will be uploaded, that fixes the bug.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#479017; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to Antonio Ospite <ospite@studenti.unina.it>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #27 received at 479017@bugs.debian.org (full text, mbox):

From: Antonio Ospite <ospite@studenti.unina.it>
To: daniel@debian.org
Cc: 479017@bugs.debian.org
Subject: Re: Bug#479017: live-helper: Formatting problems in lh_config man page
Date: Sat, 12 Jul 2008 13:09:18 +0200
[Message part 1 (text/plain, inline)]
On Sat, 12 Jul 2008 12:35:29 +0200
Daniel Baumann <daniel@debian.org> wrote:

> Antonio Ospite wrote:
> > Hi, checking with debgtd I saw that this bug is still marked as open.
> > You can close it.
> 
> no; it's tagged pending as it's fixed in git, and will be closed when
> the version of the package will be uploaded, that fixes the bug.

Hi Daniel,

well, in sid we have

live-helper (1.0~a47-1) unstable; urgency=medium

[...]

-- Daniel Baumann <daniel@debian.org>  Mon,  9 Jun 2008 00:00:00 +0200

Which actually fixes the bug.
Can you please tell me if I overlooked anything?

Thanks,
   Antonio

-- 
A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing in e-mail?

  Web site: http://www.studenti.unina.it/~ospite
Public key: http://www.studenti.unina.it/~ospite/aopubkey.asc
[Message part 2 (application/pgp-signature, inline)]

Reply sent to daniel@debian.org:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Antonio Ospite <ospite@studenti.unina.it>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 479017-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Antonio Ospite <ospite@studenti.unina.it>
Cc: 479017-done@bugs.debian.org
Subject: Re: Bug#479017: live-helper: Formatting problems in lh_config man page
Date: Sat, 12 Jul 2008 13:29:12 +0200
Antonio Ospite wrote:
> well, in sid we have
> 
> live-helper (1.0~a47-1) unstable; urgency=medium

right, sorry. since the bug was still open, i was concluding that it
must have been fixed after the last upload. however, the reason for that
it has been open is, that the commit message did not have had a
'(Closes: #nnnnn)'.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Aug 2008 10:29:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 09:59:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.